function init()
	-- NAME & GRAPHIC --
	c.name = "Battlecruiser"
	c.gfxFile = "battlecruiser.png"

	-- STATS --
	c.mass = 250
	c.stat.thrust = 1
	c.stat.maxSpeed = 150
	c.stat.turnRate = 80
	c.stat.armour = 60
	c.stat.barrier = 6
	c.class = "frigate"
	
	-- TILES & POWER SLOTS --
	c.load_cshape("ally_battlecruiser.png")

	-- MISC --
	c.setExplodeSound("explode_ship.wav")
	--c.desc = "A heavy battlecruiser that escaped the destruction of Earth."
	c.behavior = "capitolship"
	--c.add_item("point", 32)
	--c.unlockable = 1
	--c.cost = 2200
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 2	--from map_icons.png, which frame to use.
	return 0
end